| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::CompositionPassTranslator Class Reference
Core » General

`#include <OgreScriptTranslator.h>`

Inheritance diagram for Ogre::CompositionPassTranslator:
[legend]

## Public Member Functions
| CompositionPassTranslator ()
void | translate (ScriptCompiler *compiler, const AbstractNodePtr &node)
| This function translates the given node into Ogre resource(s). More...

## Constructor & Destructor Documentation

## ◆ CompositionPassTranslator()

Ogre::CompositionPassTranslator::CompositionPassTranslator | ( |  | ) |

## Member Function Documentation

## ◆ translate()

void Ogre::CompositionPassTranslator::translate | ( | ScriptCompiler * | compiler,
|  | const AbstractNodePtr & | node
| ) |  |
| virtual

This function translates the given node into Ogre resource(s).

Parameters

  compiler | The compiler invoking this translator
  node | The current AST node to be translated

Implements Ogre::ScriptTranslator.

The documentation for this class was generated from the following file:

- OgreScriptTranslator.h